QGIS Application - Feature request #4438
Option to add datasources icons beside layer names in the TOC
2011-10-24 11:19 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: Map Legend

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 14370
Description

QGIS can use a large number of datasources: file based rasters, shapes, spatialite, postgis, postgis rasters, grass, wms ,wfs, etc.
In large projects it is sometimes hard to remember what kind of datasource a layer is.

It would be nice to have an option in the general options of QGIS to allow the user get a small icon beside the layer name in the TOC,
representing the type of datasource the layer is.

History

#1 - 2011-12-16 02:10 PM - Giovanni Manghi
- Target version set to Version 1.7.4

#2 - 2012-04-15 10:09 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#3 - 2012-10-06 02:24 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2014-06-20 03:05 AM - Giovanni Manghi
- Resolution set to wonitfix

- Status changed from Open to Closed

if this suggestion has not been taken into account for legend refactoring then | guess it won't be in the near future.
